package com.zoo.controller;

import com.zoo.common.R;
import com.zoo.entity.Admin;
import com.zoo.entity.Keeper;
import com.zoo.entity.Veterinary;
import com.zoo.service.IAdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@RestController
@RequestMapping("/zoo/admin")
public class AdminController {
    @Autowired
    IAdminService iAdminService;
    @GetMapping("/info")
    public R info(Integer id){
        if (id!=null){
            Admin admin = iAdminService.selectById(id);
            return R.success(admin);
        }
        List<Admin> list = iAdminService.list();
        return R.success(list);
    }
    @PostMapping("/add")
    public R add(Admin admin){
        boolean save = iAdminService.save(admin);
        if (save){
            return R.success("添加成功");
        }
        return R.error("添加失败");
    }

    @PostMapping("/update")
    public R update(Admin admin){
        boolean b = iAdminService.updateById(admin);
        if (b){
            return R.success("修改成功");
        }
        return R.error("修改失败");
    }
    @GetMapping("/delete")
    public R delete(Integer id){
        boolean b = iAdminService.removeById(id);
        if (b){
            return R.success("删除成功");
        }
        return R.error("删除失败");
    }
}
