package com.zoo.controller;

import com.zoo.common.R;
import com.zoo.entity.Animal;
import com.zoo.entity.Keeper;
import com.zoo.entity.Veterinary;
import com.zoo.service.IKeeperService;
import com.zoo.service.IVeterinaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@RestController
@RequestMapping("/zoo/keeper")
public class KeeperController {
    @Autowired
    IKeeperService iKeeperService;
    @GetMapping("info")
    public R info(Integer roleid){
        if (roleid!=null){
            Keeper keeper = iKeeperService.selectById(roleid);
            return R.success(keeper);
        }
        List<Keeper> list = iKeeperService.list();
        return R.success(list);
    }
    @PostMapping("/add")
    public R add(Keeper keeper){
        boolean save = iKeeperService.save(keeper);
        if (save){
            return R.success("添加成功");
        }
        return R.error("添加失败");
    }

    @PostMapping("/update")
    public R update(Keeper keeper){
        boolean b = iKeeperService.updateById(keeper);
        if (b){
            return R.success("修改成功");
        }
        return R.error("修改失败");
    }
    @GetMapping("/delete")
    public R delete(Integer roleid){
        boolean b = iKeeperService.removeById(roleid);
        if (b){
            return R.success("删除成功");
        }
        return R.error("删除失败");
    }
}
